API ReferenceapicontentGET /v1/policies/{slug}

GET /v1/policies/\{slug\}

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Responses

200 Single policy document

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "slug": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "bodyMarkdown": {
      "type": "string"
    },
    "lastUpdatedAt": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "draft",
        "published"
      ]
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "slug",
    "title",
    "bodyMarkdown",
    "lastUpdatedAt",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

404 Policy not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://content.platform.loop.health/v1/policies/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"